Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 448964 - gnome-extra/bug-buddy-2.32.0-r2 eds build fails with gnome-extra/evolution-data-server-3.6
Summary: gnome-extra/bug-buddy-2.32.0-r2 eds build fails with gnome-extra/evolution-da...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: eds-3.6
  Show dependency tree
 
Reported: 2012-12-27 21:12 UTC by Michael Buchfink
Modified: 2013-03-29 14:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Buchfink 2012-12-27 21:12:23 UTC
After upgrade to gnome 3.6 bug-buddy fails to build.

This build failure seems to be related to api change in evolution-data-server 3.6


Reproducible: Always

Steps to Reproduce:
1.activate use flag eds
2.build bug-buddy
Actual Results:  
build fails

/usr/include/evolution-data-server-3.6/libebook/e-book-types.h:13:2: error: #error "Only <libebook/libebook.h> should be included directly."


Expected Results:  
build successful

workaround: build without eds
Comment 1 Pacho Ramos gentoo-dev 2012-12-27 21:21:56 UTC
If I don't misremember bug-buddy is deprecated and shouldn't be used with Gnome3
Comment 2 Gilles Dartiguelongue gentoo-dev 2012-12-27 23:11:40 UTC
it doesn't work with gtk3 apps anyway. abrt is a suitable replacement imho.
Comment 3 Pacho Ramos gentoo-dev 2013-03-29 14:44:12 UTC
+  29 Mar 2013; Pacho Ramos <pacho@gentoo.org> bug-buddy-2.32.0-r2.ebuild:
+  It needs <gnome-extra/evolution-data-server-3.6 as it won't ever be ported.
+